Tweets
Einen Thread abrufen
GET /v1/tweets/{tweet_id}/thread reads 2 Guthaben
Der eigene Thread des Autors durch einen Beitrag: die Kette von Selbstantworten, die ihn enthält, vom ersten Beitrag der Unterhaltung hinab durch die aufeinanderfolgenden Antworten des Autors, egal ob der angegebene Beitrag der erste, ein mittlerer oder der letzte ist. Antworten des Autors auf Kommentare anderer in derselben Unterhaltung gehören nicht dazu.
Antwort
Die Beitrags-ID und die Beiträge des Threads nach ID geordnet (älteste zuerst); ein Beitrag, der nicht Teil eines Threads ist, kommt allein zurück. Ein unbekannter Beitrag ergibt 404.
Status: 200, 404, 422, 429, 502
Anfrage
curl https://api.xsignalfeed.com/v1/tweets/2100389563898495436/thread \ -H "Authorization: Bearer xsf_your_key"
Antwort · 200 / 404
{
"tweet_id": "2100389563898495436",
"tweets": [
{
"id": 2100389274051043375,
"created_ms": 1789606800936,
"user_id": 1126749496082223104,
"user": "HYBE_MERCH",
"name": "HYBE MERCH",
"text": "BTS (방탄소년단) WORLD TOUR ‘ARIRANG’ Official Merch. 2nd Drop (1/4)…",
"lang": "ko",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100389274051043375",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/…"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/…",
"expanded_url": "https://x.com/HYBE_MERCH/status/2100389274051043375/photo/1",
"width": 1080,
"height": 1350
}
],
"urls": [],
"views": "18211",
"counts": {
"reply": 3,
"rt": 210,
"like": 640,
"quote": 2,
"bookmark": 44
},
"source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
},
{
"id": 2100389556948509007,
"reply_to_status_id": "2100389274051043375",
"conversation_id": "2100389274051043375",
"…": "…"
},
{
"id": 2100389560379462133,
"reply_to_status_id": "2100389556948509007",
"…": "…"
},
{
"id": 2100389563898495436,
"reply_to_status_id": "2100389560379462133",
"…": "…"
}
]
}